% maskFigureType types
%   1=2^0 :   ln(C(r))           vs  ln(r)
%   2=2^1 :   d ln(C(r))/d lnr   vs ln(r)    (i.e. this is the SLOPE of the first graph type
function [ rgDim, rgrgEpsilon, rgrgDEstimatedCofEpsilon ] = DetermineAndDisplayCorrelationDimFromSynthStructCtSamples(ctStructureDim, ctDesiredDistancesMin, ctDesiredDistancesIncr, ctDesiredDistancesMax, strFigureName, ctEmbeddingDimension, maskFigureType, ctSlopeEstimationGridpoints)
    figure;
    title(strFigureName,'FontSize', 12);
    hold on;
    i = 1;
    for ctDesiredDistances=ctDesiredDistancesMin:ctDesiredDistancesIncr:ctDesiredDistancesMax
        [ rgEpsilon, rgDEstimatedCofEpsilon ] = DetermineAndDisplayCorrelationDimFromSynthStructOnExistFig(ctStructureDim, ctEmbeddingDimension, ctDesiredDistances, strFigureName, maskFigureType, ctSlopeEstimationGridpoints);
        % cannot use plain multidimensional array here b/c for different
        % dimensions, may have different # of elements returned
        rgrgEpsilon{i} = [ rgEpsilon ];
        rgrgDEstimatedCofEpsilon{i} =  [ rgDEstimatedCofEpsilon ];
        rgDim(i) = ctEmbeddingDimension;
        i = i + 1;
    end
    hold off;
end 